__FreeBSD_version bump? (was: Re: vlc 2.0.3 ProjectM path fix)

Juergen Lock nox at jelal.kn-bremen.de
Sat Aug 18 20:45:54 UTC 2012


On Wed, Aug 15, 2012 at 10:09:59AM -0700, Kevin Oberman wrote:
> On Wed, Aug 15, 2012 at 5:01 AM, Juergen Lock <nox at jelal.kn-bremen.de> wrote:
> > On Tue, Aug 14, 2012 at 09:54:54PM +0200, Olli Hauer wrote:
> >> ...
> >> >> I think I got it: It is only a problem of configuring in the running
> >> >> vlc. You have to set the right path under
> >> >> 'Settings','All','Audio','Visualizing','projectM'. That's all ;-)
> >> >>
> >> > Aah-haah! :)  I've fixed the default paths and made a new patch:
> >> >
> >> >     http://people.freebsd.org/~nox/tmp/vlc-2.0.3-010.patch
> >> >
> >>
> >>
> >> >From your patch:
> >> > workaround is to deinstall the old vlc-1.x version before building
> >> > the new one.
> >>
> >> What about a conflict line ?
> >> CONFLICTS_BUILD=${PORTNAME}-1.*
> >>
> >> This allows users to fetch the source but they have to deinstall the
> >> old version before building the new one.
> >
> > Hm well the rtld bug this workaround is for only affects the
> > pulseaudio and notify knobs, and the workaround doesn't work for
> > the notify knob so it would only cover half the cases, and also
> > checking if this is needed in the port would require a
> > __FreeBSD_version bump which is probably overkill for this bug.
> 
> And why is it overkill? I regularly see comments about not wanting to
> bump __FreeBSD_version, but it's just an integer (though presented as
> a fixed-point fraction). There is no shortage and I never have
> understood why people are so hesitant to change it when there is a
> real, even if fairly small benefit from the bump.

Hmm.  Alexander, what do you think?

 Thanx, :)
	Juergen


More information about the freebsd-ports mailing list